# Interface AbstractView

#### Hierarchy

- AbstractView

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:5

#####
Index

### Properties

attributes?
configuration?
connected_objects
id?
min_role
name
table_name?
viewtemplate

### Methods

getTags

## Properties

### `Optional` attributes

attributes?: any

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:12

### `Optional` configuration

configuration?: any

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:9

### connected_objects

connected_objects: (() => Promise<ConnectedObjects>)

#### Type declaration

- - (): Promise<ConnectedObjects>

  - #### Returns Promise<ConnectedObjects>

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:13

### `Optional` id

id?: number

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:6

### min_role

min_role: number

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:11

### name

name: string

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:7

### `Optional` table_name

table_name?: string

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:10

### viewtemplate

viewtemplate: string

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:8

## Methods

### getTags

- getTags(): Promise<AbstractTag[]>

- #### Returns Promise<AbstractTag[]>

  - Defined in saltcorn-types/model-abstracts/abstract_view.ts:14

Generated using TypeDoc